#ifndef _GP2X_H_
#define _GP2X_H_


/* GP2X upper Memory management */
//Uint32 gp2x_upmem_base;
int gp2x_dev_mem;
int gp2x_gfx_dump;
#ifndef CAANOO
int gp2x_mixer;
#endif

volatile Uint8 *gp2x_ram;
#ifndef CAANOO
volatile Uint8 *gp2x_ram2;
volatile Uint16 *gp2x_memregs;
volatile Uint32 *gp2x_memregl;
#endif

void gp2x_ram_init(void);
Uint8 *gp2x_ram_malloc(size_t size);
void gp2x_quit(void);
void gp2x_sound_volume(int l, int r);
void gp2x_init(void);
#ifndef CAANOO
void gp2x_video_RGB_setscaling(int W, int H);
#endif
void gp2x_set_cpu_speed(void);

#ifdef CAANOO
enum  { GP2X_A=0,
	GP2X_X,
	GP2X_B,
	GP2X_Y,
	GP2X_L,
	GP2X_R,
	GP2X_HOME,
	GP2X_HOLD,
	GP2X_I,
	GP2X_II,
	GP2X_PUSH
};
#else
enum  { GP2X_UP=0,
	GP2X_UP_LEFT,
	GP2X_LEFT,
	GP2X_DOWN_LEFT,
	GP2X_DOWN,
	GP2X_DOWN_RIGHT,
	GP2X_RIGHT,
	GP2X_UP_RIGHT,
	GP2X_START,
	GP2X_SELECT,
	GP2X_R,
	GP2X_L,
	GP2X_A,
	GP2X_B,
	GP2X_Y,
	GP2X_X,
	GP2X_VOL_UP,
	GP2X_VOL_DOWN,
	GP2X_PUSH
};
#endif

#endif
